net.corda.flows

## Class TwoPartyDealFlow.DealRefMismatchException

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.DealRefMismatchException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DealRefMismatchException(StateRef expectedDeal, StateRef actualDeal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateRef` | `getActualDeal()`
    `StateRef` | `getExpectedDeal()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### DealRefMismatchException

          public DealRefMismatchException(StateRef expectedDeal,
                                          StateRef actualDeal)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getExpectedDeal

          public StateRef getExpectedDeal()

    - #### getActualDeal

          public StateRef getActualDeal()